description

# RawSocketOption class Null safety

The RawSocketOption is used as a parameter to Socket.setRawOption and RawSocket.setRawOption to set customize the behaviour of the underlying socket.

It allows for fine grained control of the socket options, and its values will be passed to the underlying platform's implementation of setsockopt and getsockopt.

Annotations
  - @Since("2.2")

## Constructors

RawSocketOption(int level, int option, Uint8List value)
  Creates a RawSocketOption for getRawOption andSetRawOption. [...]
  const
RawSocketOption.fromBool(int level, int option, bool value)
  Convenience constructor for creating a bool based RawSocketOption.
  factory
RawSocketOption.fromInt(int level, int option, int value)
  Convenience constructor for creating an int based RawSocketOption.
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
level → int
  The level for the option to set or get. [...]
  final
option → int
  The option to set or get.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
value → Uint8List
  The raw data to set, or the array to write the current option value into. [...]
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

IPv4MulticastInterface → int
  Socket option for IP_MULTICAST_IF.
  read-only
IPv6MulticastInterface → int
  Socket option for IPV6_MULTICAST_IF.
  read-only
levelIPv4 → int
  Socket level option for IPPROTO_IP.
  read-only
levelIPv6 → int
  Socket level option for IPPROTO_IPV6.
  read-only
levelSocket → int
  Socket level option for SOL_SOCKET.
  read-only
levelTcp → int
  Socket level option for IPPROTO_TCP.
  read-only
levelUdp → int
  Socket level option for IPPROTO_UDP.
  read-only